# Zope Weather Applet - (c) 2002 Jerome Alet
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
#
# author: Jerome Alet - <alet@librelogiciel.com>
#
# $Id: __init__.py,v 1.4 2003/01/19 22:58:55 jalet Exp $
#
# $Log: __init__.py,v $
# Revision 1.4  2003/01/19 22:58:55  jalet
# No GIF image anymore
#
# Revision 1.3  2002/12/02 10:22:47  jalet
# Version number changed to 1.50
# Several modifications, see NEWS file
#
# Revision 1.2  2002/07/29 10:24:42  jalet
# Moved some stuff to make the help work correctly.
#
# Revision 1.1.1.1  2002/07/29 07:34:00  jalet
# Initial import into CVS
#
#

# This software contains code adapted from the Gnome Weather applet
# written in C language by Spiros Papadimitriou and licensed
# under the GNU General Public License of the Free Software Foundation

# This software contains pictures from the Evolution Mail User Agent
# written by Ximian and distributed under the GNU General Public
# License of the Free Software Foundation

import OFS
import App

#from Products.CMFCore import utils
import WeatherTool
from WeatherTool import AlreadyInstalled

from ZWeatherApplet import ZWeatherApplet, manage_addZWeatherAppletForm, manage_addZWeatherApplet

#import sys
#this_module = sys.modules[ __name__ ]

tools = ( WeatherTool.WeatherTool, )

#z_tool_bases = utils.initializeBasesPhase1( tools, this_module )
weather_globals = globals()

def initialize(registrar) :
#    utils.initializeBasesPhase2( z_tool_bases, registrar )
#    utils.ToolInit( 'CMF Weather Tool',
#                    tools = tools,
#                    product_name = 'WeatherTool',
#                    icon='skins/weather/tool.gif' 
#                    ).initialize( registrar )

    registrar.registerClass(
        WeatherTool.WeatherTool,
        meta_type="CMF Weather Tool",
        constructors=(WeatherTool.addWeatherTool,),
        icon = 'skins/weather/tool.gif')     #Visibility was added recently, so may be a problem

    registrar.registerClass(
        ZWeatherApplet,
        constructors = (manage_addZWeatherAppletForm, manage_addZWeatherApplet),
        icon = "skins/weather/sun.png"
        )

    for icon in [ "cloud", "fog", "rain", "snow", "storm", "suncloud", "sun" ] :
        registerIcon(icon)
    registrar.registerHelp()
    
    from Products.CMFCore import DirectoryView
    DirectoryView.registerDirectory('skins', globals())

def registerIcon(name) :
    setattr(OFS.misc_.misc_.ZWeatherApplet, name, App.ImageFile.ImageFile("skins/weather/%s.png" % name, globals()))
